Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

on jboss wildfly when starting a rack application: stat unsupported or native support failed to load #2173

Closed
mkristian opened this Issue Nov 11, 2014 · 6 comments

Comments

Projects
None yet
3 participants
@mkristian
Copy link
Member

mkristian commented Nov 11, 2014

12:04:42,292 ERROR [io.undertow.servlet] (MSC service thread 1-6) ERROR: initialization failed: org.jruby.rack.RackInitializationException: stat unsupported or native support failed to load
    from org/jruby/RubyFileTest.java:131:in `file?'
    from classpath:/META-INF/jruby.home/lib/ruby/shared/rubygems/defaults/jruby.rb:84:in `dirs'
    from org/jruby/RubyArray.java:2407:in `collect'
    from classpath:/META-INF/jruby.home/lib/ruby/shared/rubygems/defaults/jruby.rb:82:in `dirs'
    from classpath:/META-INF/jruby.home/lib/ruby/shared/rubygems/specification.rb:705:in `stubs'
    from classpath:/META-INF/jruby.home/lib/ruby/shared/rubygems/specification.rb:897:in `find_inactive_by_path'
    from classpath:/META-INF/jruby.home/lib/ruby/shared/rubygems.rb:183:in `try_activate'

when running the server there is a native jffi lib in /tmp

to reproduce it checkout
https://github.com/mkristian/hellowarld/tree/wildfly
and run

rmvn wildfly:run 

could not reproduce it without wildfly. but it produces the same result when setting jruby.home to uri:classloader://META-INF/jruby.home

@mkristian

This comment has been minimized.

Copy link
Member Author

mkristian commented Nov 11, 2014

it starts up with

rmvn wildfly:run -Djruby.version=1.7.12

but fails with 1.7.13 onwards.

@rtyler

This comment has been minimized.

Copy link

rtyler commented Nov 11, 2014

@mkristian What OS are you running this on? I ran into something similar a few months ago because there was some JNR code that didn't support FreeBSD properly

@mkristian

This comment has been minimized.

Copy link
Member Author

mkristian commented Nov 11, 2014

ubuntu (almost latest version)

this here could be very much related to: #1983 (comment) and #2032 (comment)

it looks like without native working file operations are just not working. your FreeBSD issue just fits my assumption.

@headius

This comment has been minimized.

Copy link
Member

headius commented Nov 12, 2014

This is off a recent build? FileTest#file? should fall back on non-native.

@mkristian

This comment has been minimized.

Copy link
Member Author

mkristian commented Nov 12, 2014

indeed if I upgrade the posix dependency it works. will push the push the change soon

@mkristian

This comment has been minimized.

Copy link
Member Author

mkristian commented Nov 12, 2014

fixed via cce325d

@mkristian mkristian closed this Nov 12, 2014

@mkristian mkristian added this to the JRuby 1.7.17 milestone Nov 12, 2014

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.